
Redmine - Feature #41731

Prevent Redmine startup if themes remain in deprecated public/themes directory

2024-11-12 10:15 - Go MAEDA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Themes Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:    

Description

The theme installation directory was changed from public/themes to themes in Redmine 6.0.0.

The attached patch prevents Redmine from starting if themes are still installed in the deprecated public/themes directory. This

ensures that system administrators are prompted to move themes to the correct directory.

A similar mechanism was implemented when the plugins directory was changed from vendor/plugins to plugins (see r9600).

History

#1 - 2024-11-12 10:17 - Go MAEDA

- File prevent-redmine-startup-if-themes-are-installed-in-public-themes.patch added

- File deleted (prevent-redmine-startup-if-themes-are-installed-in-public-themes.patch)

#2 - 2024-11-12 10:31 - Marius BĂLTEANU

Do you want to catch this in 6.0.1?

#3 - 2024-11-12 10:35 - Go MAEDA

Marius BĂLTEANU wrote in #note-2:

Do you want to catch this in 6.0.1?

 Yes, if possible. This prevents confusion for those who do not know that the theme installation directory has changed.

#4 - 2024-11-12 10:37 - Marius BĂLTEANU

Yes, it is, can you integrate the fix?

#5 - 2024-11-12 10:39 - Go MAEDA

- Assignee set to Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.1

#6 - 2024-11-12 10:44 - Go MAEDA

- Target version changed from 6.0.1 to Candidate for next minor release

I am removing this from 6.0.1 because I think it is better to get feedbacks.

#7 - 2024-11-12 10:44 - Go MAEDA

- Assignee deleted (Go MAEDA)

- Target version changed from Candidate for next minor release to 6.0.2

#8 - 2024-11-29 04:38 - Go MAEDA

- Target version changed from 6.0.2 to Candidate for next minor release

Files

prevent-redmine-startup-if-themes-are-installed-in-public-themes.patch728 Bytes 2024-11-12 Go MAEDA
